package com.main.controller;

import com.brynhild.common.config.StaticParser;
import com.main.transfer.Data;
import com.main.transfer.Target;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.*;

@RestController
public class TestController {

    @GetMapping("/")
    public Target parseTarget(){
        Map<String,Object> targetMap=new HashMap<>();
        targetMap.put("name","test");
        targetMap.put("age",19);
        targetMap.put("allowance",67.5);
        List<Integer> nums=new ArrayList<>();
        Integer[] num2=new Integer[10];
        for(int i=0;i<10;i++){
            nums.add(i);
            num2[i]=i;
        }
        targetMap.put("nums",nums);
        targetMap.put("num2",num2);

        Random random=new Random();
        Map<String,Object> data=new HashMap<>();
        data.put("id",random.nextLong());
        data.put("score",random.nextDouble());
        targetMap.put("data",data);

        List<Map<String,Object>> dataList=new ArrayList<>();
        for(int i=0;i<10;i++){
            Map<String,Object> data1=new HashMap<>();
            data1.put("id",random.nextLong());
            data1.put("score",random.nextDouble());
            dataList.add(data1);
        }
        targetMap.put("dataList",dataList);


        return StaticParser.parse(targetMap,Target.class);
    }
}
